Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ij.process
Class StackProcessor

    java.lang.Object
      ij.process.StackProcessor

public class StackProcessor
extends java.lang.Object

This class processes stacks.

Constructor Summary
`StackProcessor(ImageStack stack, ImageProcessor ip)` Constructs a StackProcessor from a stack.

Method Summary
`void` | `applyTable(int[] table)`
`void` | `copyBits(ImageProcessor src, int xloc, int yloc, int mode)`
`void` | `copyBits(ImageStack src, int xloc, int yloc, int mode)`
`ImageStack` | `crop(int x, int y, int width, int height)` Crops the stack to the specified rectangle.
`void` | `flipHorizontal()`
`void` | `flipVertical()`
`void` | `invert()`
`ImageStack` | `resize(int newWidth, int newHeight)` Creates a new stack with dimensions 'newWidth' x 'newHeight'.
`ImageStack` | `rotateLeft()`
`ImageStack` | `rotateRight()`
`void` | `scale(double xScale, double yScale)`
`void` | `scale(double xScale, double yScale, double fillValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StackProcessor

    public StackProcessor(ImageStack stack,
                          ImageProcessor ip)

  Constructs a StackProcessor from a stack. 'ip' is the processor that will be used to process the slices. 'ip' can be null when using crop().

Method Detail

### invert

    public void invert()

### flipHorizontal

    public void flipHorizontal()

### flipVertical

    public void flipVertical()

### applyTable

    public void applyTable(int[] table)

### scale

    public void scale(double xScale,
                      double yScale)

### scale

    public void scale(double xScale,
                      double yScale,
                      double fillValue)

### resize

    public ImageStack resize(int newWidth,
                             int newHeight)

  Creates a new stack with dimensions 'newWidth' x 'newHeight'. To reduce memory requirements, the orginal stack is deleted as the new stack is created.

### crop

    public ImageStack crop(int x,
                           int y,
                           int width,
                           int height)

  Crops the stack to the specified rectangle.

### rotateRight

    public ImageStack rotateRight()

### rotateLeft

    public ImageStack rotateLeft()

### copyBits

    public void copyBits(ImageProcessor src,
                         int xloc,
                         int yloc,
                         int mode)

### copyBits

    public void copyBits(ImageStack src,
                         int xloc,
                         int yloc,
                         int mode)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD